############################################################################
# W E B S E R V E R
#---------------------------------------------------------------------------

#-------------------------------------------------------#
# OPTIONAL PROPERTIES TO BE SET BY PLUGIN CONSUMER      #
#-------------------------------------------------------#

#
# ports to access and configure this server instance
#
maven.appserver.port.http=80
maven.appserver.port.https=443

#
# optional ports for other work
#
# maven.appserver.port.A=
# maven.appserver.port.B=
# maven.appserver.port.C=

#
# The host name, used when configuring, defaults to localhost
#
maven.appserver.host=localhost

#-------------------------------------------------------#


#-------------------------------------------------------#
# REQUIRED PROPERTIES THAT MAY/MUST BE SET BY USER      #
#-------------------------------------------------------#

#
# a supported name of an application server instance to install
#
# maven.appserver.name=tomcat

#
# version number of the application server
#
# maven.appserver.version=4.x

#
# The place where the binary machine install of the web server resides
#
# maven.appserver.home=/apps/apache2

#
# The directory to install the local instance of the server
#
maven.appserver.dir=${basedir}/server

#
# The default port to test for a TCP/IP connection listener for determining if
# the appserver instance is started. Default is the same as the http port
#
maven.appserver.test.socket=${maven.appserver.port.http}

#
# The URL used to test the current running status of the appserver
# Default is left as null, so that only the socket is used to test if the server
# is started
#
# maven.appserver.test.url=http://${maven.appserver.host}:${maven.appserver.port.http}/index.html

#
# The root directory out of which you will server will serve your documents
# The default is under webapps, to allow this appserver to play friendly
# with a Tomcat application container by default
#
maven.appserver.root=${maven.appserver.dir}/webapps/ROOT

#-------------------------------------------------------#


#-------------------------------------------------------#
# REQUIRED PROPERTIES NOT NORMALLY MODIFIED BY USERS    #
#-------------------------------------------------------#

# needed for dir searches and messages, should NOT be changed by user
maven.appserver.fullname=${maven.appserver.name}-${maven.appserver.version}

#
# where to look for the instance specific config files for this appserver
#
maven.appserver.conf.dir=${maven.conf.dir}/appserver/${maven.appserver.fullname}


